• 关于

    php版本不同

    的搜索结果

回答

Rewin2008可以同时装php两个版本吗? windows iis 支持多个版本的php,7.0以上在 fastcgi里配置多个版本,6.0以下在isapi里配置多个版本。可以不同站点配置不同的php版本,也可以同一个站点配置多个php,不过这样你就得用文件名后缀来区分,比如 .php5.2 执行php5.2的fastcgi,.php5.4执行php5.4的fastcgi,不过这样很麻烦的说,还是不同站点配置不同的php吧。
第一应用 2019-12-01 23:18:24 0 浏览量 回答数 0

回答

IIS7示例 假设windows是win7 64位 下载各个版本的php: 我们将使用fastcgi模块,直接下载非线程安全(Non Thread Safe)的版本,效率比较高.x86是32位的,x64是64位的。 下载解压放到某个目录,比如: E:php7.0.3\ E:php5.5.30\ E:php5.2.6\ php.ini的配置这里就不说了,原来该怎么设置怎么设置。 步骤 1.打开IIS 7。 IIS最上层>处理程序映射 2.右边 添加模块映射 3.在弹出的窗口中 路径写*.php 模块选FastCgiModule,可执行文件是php目录下的php-cgi.exe 名称随便填,为了好记可以填php版本名称,然后确定。 再添加几次 把多个版本的php都添加进去 4.由于是点IIS最上层添加,而不是点某个网站添加,所以每个网站目录不会自动生成一个web.config文件。我们可以自己添加一个utf-8编码的web.config文件放到网站目录下,用于调用不同版本的php,不管有没有多个版本的php,都需要这么一个web.config文件,内容如下: 代码无法成功显示,所以只能截图了: 主要就是scriptProcessor(脚本处理器)路径不同,决定了调用了不同版本的php。 也很重要,先把所有版本的php都移除一遍(这里的"name=" 就是之前填的名称)。再add name=,确保调到的是需要的版本。 注意:如果这边remove只有3个,而实际上你加了5个版本的php的话,为了确保调用到正确的版本,应该把另两个加进去。 然后就可以了。有新站的话就把这个web.config拷到站点的目录里,再修改下scriptProcessor的路径就可以了。 我这几个php共用的是一个MySql,版本是5.6.24,能正常使用。 由于php不同版本间是不怎么向后兼容的,比如php5.6以后不支持mysql_函数连接mysql数据库,只支持mysqli_和pdo_*等,所以多版本共存还是比较有意义的。
quintin 2019-12-02 01:40:04 0 浏览量 回答数 0

回答

网站手动配置还是一键包,php环境是什么版本 可以尝试切换版本,或者看下phpmyadmin是什么版本 不同版本支持的php版本不同 ------------------------- 回 2楼(小羽子) 的帖子 尝试切换版本
火蓝云 2019-12-02 02:12:36 0 浏览量 回答数 0

阿里云试用中心,为您提供0门槛上云实践机会!

100+款试用云产品,最长免费试用12个月!拨打95187-1,咨询专业上云建议!

问题

求指教:两个网站要用不同版本的php版本

一个服务器下2个网站要用不同版本的php版本,该怎么做?...
m_bin 2019-12-01 21:29:57 1998 浏览量 回答数 1

问题

linux更换PHP版本,多个PHP版本切换

linux下怎么进行更换PHP版本,切换不同的PHP版本呢?比如说我现在的PHP版本是5.3 我想要换成5.5 之后我可以在这两个版本间切换?我现在的情况是centos6.5 php版本是5.3 想要升级到5.5...
idevcloud 2019-12-01 19:50:52 2991 浏览量 回答数 1

问题

linux更换PHP版本,多个PHP版本切换

各位兄弟姐妹,linux下怎么进行更换PHP版本,切换不同的PHP版本呢?比如说我现在的PHP版本是5.3 我想要换成5.5 之后我可以在这两个版本间切换?我现在的情况是centos6.5 php版本是5.3 想要升级到5.5...
a123456678 2019-12-01 20:11:52 3164 浏览量 回答数 1

回答

题主您好,如典型的例子,可以使用不同的php池或进程,达到在同一个服务器里的不同的站点使用不同php版本的目的喔。nginx + fastcgi + php多版本将业务同时放在不同的服务器上来做均衡,可能会比单个服务器好些,但成本可能是翻一翻的喔。
dongshan8 2019-12-02 00:00:26 0 浏览量 回答数 0

问题

一台服务器同时运行多个php版本,centos系统

同时运行两个版本php5.6和5.7 数据库为mysql5.6 nginx1.8.1 tomcat6 java 如何同时运行多个PHP版本,让不同站点工作在不同的PHP下? php7效率高了很多,...
ydjy2009 2019-12-01 21:21:50 3579 浏览量 回答数 3

回答

楼主您好, 请问您安装的是wdcp v3版本的吗? 您的web是apache还是nginx呢? 或许您可以尝试新增一个php的版本,然后不同的网站用不同的php版本。
dongshan8 2019-12-02 00:30:30 0 浏览量 回答数 0

回答

您好 您可以详细检查您的插件需要哪个版本的Zend.ZendGuardLoader 根据PHP版本不同有多个版本的加密器 可能需要更换PHP版本
西秦说云 2019-12-01 23:23:17 0 浏览量 回答数 0

回答

楼主您好, 请问您的服务器是什么系统呢? 如果是Windows IIS 的,可以尝试加载不同版本的php,不同的站点使用不同的php版本。 在Linux,类似可以通过fpm-php来设置。
dongshan8 2019-12-01 23:42:27 0 浏览量 回答数 0

回答

兼容模式-这种模式可帮助您创建与不同版本的MYSQL或其他数据库兼容的导出。 您会看到,某些版本的MySQL具有在不同版本中使用的不同命令。因此,兼容模式允许您执行一个操作,即获取一个数据库并导出SQL以与另一版本的MySQL兼容。因此,您可能需要将MySQL 3服务器升级到4-此兼容模式允许导出数据库或单个表以创建可以导入MySQL 4版本服务器的SQL文件(也应在5中工作)。 我也使用webmin并运行MySQL5。我对MySQL 4使用兼容模式。...我不使用其他任何兼容的数据库,因为我没有运行其他数据库。 据MySQL 3.x和4.x之间不同的MySQL命令,我相信CURRENT_TIMESTAMP从MySQL 3转换为4的方式有所变化,而且MySQL 3不支持字符集。论坛帖子在这里:http : //www.phpbuilder.com/board/showthread.php?t=10330692
保持可爱mmm 2019-12-02 03:15:24 0 浏览量 回答数 0

回答

楼主您好, 一般来说,您可以通过fpm来让不同的站点运行不同的php版本,如您为不同的站点将php通过fastcgi_pass交给不同的版本的php程序来处理。 ------------------------- 回 3楼(ydjy2009) 的帖子 您好, 很高兴听到您已经解决问题,能看到您的分享文章,真好。
dongshan8 2019-12-02 02:10:35 0 浏览量 回答数 0

问题

现在服务器是php5.3,需要搭建一个5.4的版本,两个版本同时运行,端口不一样

需求:现在服务器是php5.3,需要搭建一个5.4的版本,两个版本同时运行,端口不一样,使用nginx分发到不同版本,不要破坏现有的部署环境,否则目前的代码无法运行,请各位工程师协助搭建为感。...
云软微商城 2019-12-01 19:44:30 1166 浏览量 回答数 1

回答

PHP有各种版本,不同版本之间可能存在兼容性,主要表现在mysql驱动、闭包等部分语法特性和系统函数的差异,PHP5.3并不是很高的版本,5.3以前的运行环境即使不是软件要求也应该主动放弃了,如果您的云主机PHP环境没有达到5.3以上是不合适的。 而同一ECS可以运行各种PHP版本,这并不会对ECS本身造成影响,更不会有压力。只要按要求更新一下PHP版本就可以。
望星星降 2019-12-02 00:40:44 0 浏览量 回答数 0

回答

编译php时 --prefix 指定不同的目录,把不同的php安装到不同的目录,需要运行php时运行对于版本目录下的php即可。
idevcloud 2019-12-02 01:44:48 0 浏览量 回答数 0

回答

楼主您好, 您使用的是Windows系统吗? 一般来说,一个系统里可以配置多种不同版本的PHP哩。 您可以保留现有的php5.2版本,在新的站点里,配置新版本的php。
dongshan8 2019-12-02 00:32:35 0 浏览量 回答数 0

回答

如何查看PHP版本? Php的版本控制一直也是一个比较棘手的问题,因为版本不同导致有许多功能不能很好的实现,所以当程序上传到空间的时候一定要对版本进行有效的控制,这样可以避免不必要的麻烦产生。那么如何查看当前你的php版本呢?下面提供两种方法帮你查看你的php版本。 使用phpinfo()函数,该函数就是用来显示php服务器的配置信息,在你的环境下创建一个php文件,在里面数据下面代码,然后执行就会打印出下面结果,可以清楚的看到,你当前php的版本,已经php、apache、mysql等配置信息。 <?php     Phpinfo(); ?> 使用phpsersion()函数,这个函数的原型是string phpversion(void);返回的一个string,本函数是返回php版本信息,创建一个php文件,输入以下代码,就可以在浏览器中看到返回的php的版本信息了。 <?php     echo phpversion(); ?> ------------------------- 用户根据自己的php版本选择包内对应的dll ------------------------- 回 3楼(kideny) 的帖子 小站 无所谓了 主要是有其他应用
小柒2012 2019-12-02 01:03:37 0 浏览量 回答数 0

问题

阿里的这服务不敢恭维

阿里的这服务-_-!!!不敢恭维....没技术支持就算了,,,弄的安装包还是有问题的... 第一次用云服务器:安装WIN2003,按照教程里的 Window2003 iis mysql php zend环境配置 安装: 安装完p...
cms之家 2019-12-01 21:20:14 11215 浏览量 回答数 6

问题

【分享】全能环境安装包,支持:PHP版本自由切换,SQL2005/2008自动化安装

支持平台:Win2003/2008/2012 安装包大小:524KB 功能概要:全自动部署、一键安装,支持php,mysql,asp.net,sql2005...
去除繁琐 2019-12-01 21:06:27 3940 浏览量 回答数 1

问题

apache,php配置,版本都一样,phpinfo的内容不同,是什么原因?报错

都是用Win7系统 apache,php配置,版本都一样(完全拷贝),phpinfo的内容不同,是什么原因? 显示mysql, memc...
一枚小鲜肉帅哥 2020-05-27 18:40:30 4 浏览量 回答数 1

问题

apache,php配置,版本都一样,phpinfo的内容不同,是什么原因? :报错

都是用Win7系统 apache,php配置,版本都一样(完全拷贝),phpinfo的内容不同,是什么原因? 显示mysql, m...
kun坤 2020-06-07 09:14:24 0 浏览量 回答数 1

问题

apache,php配置,版本都一样,phpinfo的内容不同,是什么原因? -服务报错

都是用Win7系统 apache,php配置,版本都一样(完全拷贝),phpinfo的内容不同,是什么原因? 显示mysql, m...
montos 2020-05-31 15:17:44 0 浏览量 回答数 1

回答

您好,更换php的版本,可能只能通过主机管理面板里操作喔。即可能不能在同一个主机账户里同时使用不同的php版本。
dongshan8 2019-12-02 03:17:52 0 浏览量 回答数 0

回答

关注phpmail的版本,不同版本,解决方案不同, 前提是telnet smtp.xx.com port是没有问题的,同时 ssl扩展包已经支持。 本次解决方案:https://hughsite.com/post/phpmailer-certificate-verification-failure-in-php-56.html
1566467377626007 2019-12-02 01:07:27 0 浏览量 回答数 0

问题

聚石塔服务器怎么安装php版本

聚石塔服务器怎么安装php版本,是不是跟啊里云一模一样,还是有所不同!!有没有参考网子...
乐乐k 2019-12-01 22:08:56 1662 浏览量 回答数 1

问题

分享【简单易用的BT Linux管理面板】

功能简介: 1.简约风格WEB版终端 2.一键建站(包含FTP,数据库的建立,只需1秒); 3.支持多版本PHP,不同网站可选不同版本的PHP...
去除繁琐 2019-12-01 21:44:36 5451 浏览量 回答数 3

回答

可能php版本不同导致的兼容性问题。查查系统httpd日志###### if(!数据库配置更改 && !数据导入 && !文件夹权限){ } ######可能是文件权限,另外数据库修改了吧!还有就是PHP版本###### PHP文件 的数据库 配置文件修改啦吗?######主要看报什么错,对症下药######能贴下报错信息吗?###### 第一个 数据配置文件  因为在本地和线上配置文件一般不同 第二个 权限问题 目录进入操作权限 第三个 软件版本信息 当然首先还是要看直接产生的错误日志 比如有时候重写不正确也会造成瘫痪 ######这个软件是不是绑定ip或域名了???
爱吃鱼的程序员 2020-05-29 19:59:10 0 浏览量 回答数 0

回答

可能php版本不同导致的兼容性问题。查查系统httpd日志###### if(!数据库配置更改 && !数据导入 && !文件夹权限){ } ######可能是文件权限,另外数据库修改了吧!还有就是PHP版本###### PHP文件 的数据库 配置文件修改啦吗?######主要看报什么错,对症下药######能贴下报错信息吗?###### 第一个 数据配置文件  因为在本地和线上配置文件一般不同 第二个 权限问题 目录进入操作权限 第三个 软件版本信息 当然首先还是要看直接产生的错误日志 比如有时候重写不正确也会造成瘫痪 ######这个软件是不是绑定ip或域名了???
优选2 2020-06-05 16:46:44 0 浏览量 回答数 0

回答

问题1:不知道node版本 ACE应用信息界面也没有明确指出node版本,也没有文档,同时API也禁用了process的相关方法,导致无法看到node的版本,不知道版本,写代码的时候就很郁闷了,也不知道什么npm包能运行起来,只能一遍一遍试验,不过,我试了一下最新的express,是可以运行的。所以能大概猜出来范围。 答:ace php、java、node 都是有文档的,只是nodejs 还处理体验阶段,node 的最终版本并未确定,ace 不推荐大家写出来的代码需要和node的版本做硬绑定,这样的话代码本身是有问题的。 同文档里所说的,依赖问题要自己线下 npm install 完提交到 svn,ace 环境没有提供给用户运行 npm。 问题2:不知道禁用了哪些函数 从php的文档里面偶然发现了ace node的文档,但通篇看下来,并没有发现禁用函数列表,导致写代码的时候都不敢写。只能写个test程序一个一个实验。 答:恭喜知道了文档,php、java、node 都有独立文档,没有从php文档里找到node文档这么一说,另外 ace node 没有做禁用函数,为什么要求ace  一定要提供禁用函数列表。。。这个不是很明白。 问题3:看不到错误日志 程序放上去后,没有地方可以看到console出来的东西,程序放上去,也不知道运行结果怎么样,如果挂了,也不知道哪里出错,很郁闷 答:控制台的日志中心一直有日志,可能是你没有发现。 问题4:不知道具体部署的版本号 这个应该是个通用的问题,虽然版本管理有10个版本号可以用,但比如我部署版本1的时候,具体是部署了这个分支上的哪个Committed revision不知道,经常是重启之后,看到页面的结果和自己预想的不一样,就只能怀疑是不是部署的版本不对,建议在应用信息里面,除了列出当前的分支版本号,也列出来这个分支的Committed revision。 答:  不同版本都有不同的 check out 分支,这些分支的svn地址是明文写在版本管理上的,区分不出来是指? 还是很感谢楼主的建议,不过感觉楼主还是走马观花了一次,还是要赞一下。
ace_php_faq 2019-12-02 00:53:52 0 浏览量 回答数 0

云产品推荐

上海奇点人才服务相关的云产品 小程序定制 上海微企信息技术相关的云产品 国内短信套餐包 ECS云服务器安全配置相关的云产品 开发者问答 阿里云建站 自然场景识别相关的云产品 万网 小程序开发制作 视频内容分析 视频集锦 代理记账服务 阿里云AIoT 阿里云科技驱动中小企业数字化